Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223774 - [kn_IN] Some Ligature rules are wrong in the font file
Summary: [kn_IN] Some Ligature rules are wrong in the font file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-indic
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Bhalerao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 12:31 UTC by Ramakrishna Reddy Yekulla
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-30 06:10:44 UTC


Attachments (Terms of Use)
Actually Results of 0C9A + OCBE (deleted)
2007-01-22 12:31 UTC, Ramakrishna Reddy Yekulla
no flags Details
Expected result of 0C9A + OCBE combination (deleted)
2007-01-22 12:33 UTC, Ramakrishna Reddy Yekulla
no flags Details
Actually Results of 0C9A + OCBF (deleted)
2007-01-22 12:36 UTC, Ramakrishna Reddy Yekulla
no flags Details
Expected result of 0C9A + OCBF combination (deleted)
2007-01-22 12:37 UTC, Ramakrishna Reddy Yekulla
no flags Details
Fixed font file (deleted)
2007-01-22 12:41 UTC, Parag Nemade
no flags Details
Actuall and expected result of the combination :: 0C9F + OCBE (deleted)
2007-01-22 12:54 UTC, Ramakrishna Reddy Yekulla
no flags Details
Verified Image (deleted)
2007-04-30 06:05 UTC, A S Alam
no flags Details

Description Ramakrishna Reddy Yekulla 2007-01-22 12:31:29 UTC
Description of problem:
The following Combinations are showed wrong in the font file,
fonts-kannada-2.0.12-1.fc7

Version-Release number of selected component (if applicable):
fonts-kannada-2.0.12-1.fc7


How reproducible:
Every time

Steps to Reproduce:
1. gedit
2. Activate scim, select RAW UNICODE input
3. Check for the following rules

Combinations to be checked
**************************************
a. 0C9A + OCBE 
b. OC9A + 0CBF
c. 0C9F + OCBE
**************************************

  
Actual results:
Attached below as an image

Expected results:
Attached below as an image


Additional info:

Comment 1 Ramakrishna Reddy Yekulla 2007-01-22 12:31:29 UTC
Created attachment 146166 [details]
Actually Results of 0C9A + OCBE

Comment 2 Ramakrishna Reddy Yekulla 2007-01-22 12:33:45 UTC
Created attachment 146167 [details]
Expected result of 0C9A + OCBE  combination

Comment 3 Ramakrishna Reddy Yekulla 2007-01-22 12:36:45 UTC
Created attachment 146168 [details]
Actually Results of 0C9A + OCBF

Comment 4 Ramakrishna Reddy Yekulla 2007-01-22 12:37:54 UTC
Created attachment 146170 [details]
Expected result of 0C9A + OCBF  combination

Comment 5 Parag Nemade 2007-01-22 12:41:32 UTC
Created attachment 146173 [details]
Fixed font file

Comment 6 Ramakrishna Reddy Yekulla 2007-01-22 12:54:52 UTC
Created attachment 146178 [details]
Actuall and expected result of the combination ::  0C9F + OCBE

Parag does you patch address  this ligature rule, 0C9F + OCBE issue also.

Comment 7 Parag Nemade 2007-01-23 09:49:58 UTC
(In reply to comment #6)
> Created an attachment (id=146178) [edit]
> Actuall and expected result of the combination ::  0C9F + OCBE
> 
> Parag does you patch address  this ligature rule, 0C9F + OCBE issue also.

 Yes. I have included all correct ligature rules in comment #5

Comment 8 Parag Nemade 2007-02-19 10:42:44 UTC
This fix has been included now in next release of fonts-indic package =>
fonts-kannada-2.1.3-1.fc7.noarch.rpm

Comment 9 A S Alam 2007-04-30 06:05:56 UTC
Created attachment 153760 [details]
Verified Image

Comment 10 A S Alam 2007-04-30 06:10:44 UTC
CLOSE:
Tested version:
fonts-kannada-2.1.5-1.fc7


Note You need to log in before you can comment on or make changes to this bug.